OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_EulerAngles Class Reference

Representation of STEP entity EulerAngles
.

`#include <StepBasic_EulerAngles.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_EulerAngles ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfReal)&aAngles)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TColStd_HArray1OfReal | Angles () const
| Returns field Angles .
Standard_EXPORT void | SetAngles (const Handle(TColStd_HArray1OfReal)&Angles)
| Set field Angles .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfReal | theAngles

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_EulerAngles::StepBasic_EulerAngles | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepBasic_EulerAngles::Angles | ( |  | ) | const

Standard_EXPORT const StepBasic_EulerAngles::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_EulerAngles::Init | ( | const Handle(TColStd_HArray1OfReal)& | aAngles | ) |

Standard_EXPORT void StepBasic_EulerAngles::SetAngles | ( | const Handle(TColStd_HArray1OfReal)& | Angles | ) |

## Field Documentation

Handle_TColStd_HArray1OfReal StepBasic_EulerAngles::theAngles`[private]`

The documentation for this class was generated from the following file:

- StepBasic_EulerAngles.hxx